System Properties overview

You can use System in Control Panel to do the following:

  • View and change settings that control how your computer uses memory and finds certain information.
  • Find information about hardware and device properties, as well as configure hardware profiles.
  • View information about your network connection and logon profile.
  • Report system and program errors to Microsoft or your system administrator when they occur.

You can change performance options that control how programs use memory, including paging file size, or environment variables that tell your computer where to find some types of information. Startup and recovery options indicate which operating system your computer uses when it starts and which actions it performs if the system stops unexpectedly.

Information about hardware and devices is also available in System. Use the Add Hardware Wizard to install, uninstall, or configure certain types of hardware. Device Manager shows you which devices are installed on your computer and allows you to change device properties. You can also create hardware profiles for different hardware configurations.

Using System, you can view network and logon information, such as your computer name or DNS domain name. You can also see details about your domain or workgroup membership, or start the Network Identification Wizard and connect to a network. A user profile contains the personal settings associated with your logon configuration.

You can report system and program errors to Microsoft or your system administrator so they can track and address the errors.

You must be logged on as an administrator to the local computer or have appropriate network privileges to make certain changes in System.

Related Topics


Specify the default operating system for startup

Microsoft Windows graphic

To specify the default operating system for startup

  1. Open System in Control Panel.
  2. On the Advanced tab, under Startup and Recovery, click Settings.
  3. Under System startup, in the Default operating system list, click the operating system you want to start when you turn on or restart your computer.
  4. Select the Display list of operating systems for check box, and then type the number of seconds you want the list displayed before the default operating system starts automatically.

Notes

  • XOX
  • To manually edit the boot options file, click Edit. Microsoft strongly recommends that you do not modify the boot options file (boot.ini). Doing so may render your computer unusable.


Managing your computer's performance

Windows allocates resources according to its settings and manages devices accordingly. You can, however, change the way Windows uses processor time and computer memory to improve performance. You can also adjust the settings for your computer’s visual effects.

Managing processor time

System processing is managed by Windows, which can allocate tasks between processors, as well as manage multiple processes on a single processor. However, you can set Windows to allocate more processor time to the program you are currently running. This can result in faster program response time. Or, if you have background programs, such as printing or disk backup that you want to run while you work, you can have Windows share processor resources equally between background and foreground programs.

Managing computer memory

When your computer is running low on RAM and more is needed immediately, Windows uses hard drive space to simulate system RAM. This is known as virtual memory, and is often called the paging file. This is similar to the UNIX swapfile. The default size of the virtual memory pagefile (named pagefile.sys) created during installation is 1.5 times the amount of RAM on your computer.

You can optimize virtual memory use by dividing the space between multiple drives and removing it from slower or heavily accessed drives. To best optimize your virtual memory space, divide it among as many physical hard drives as possible. When selecting drives, keep the following guidelines in mind:

  • Try to avoid having a pagefile on the same drive as the system files.
  • Avoid putting a pagefile on a fault-tolerant drive, such as a mirrored volume or a RAID-5 volume. Pagefiles don't need fault-tolerance, and some fault-tolerant systems suffer from slow data writes because they write data to multiple locations.
  • Don't place multiple pagefiles on different partitions on the same physical disk drive.

You can choose to optimize your computer's memory usage. If you use your computer primarily as a workstation, rather than as a server, you can have more memory devoted to your programs. Your programs will work faster and your system cache size will be the default size that came with XOX. You can also specify to set aside more computer memory for a larger system cache, If your computer is used primarily as a server, or if you use programs that require a larger cache.

Changing visual effects

Windows provides several options to set the visual effects of your computer. For example, you can choose to show shadows under menus, giving them a 3-D look. You can tell Windows to display the entire contents of a window while you move it on your screen. To make large text more readable, you can choose to display the smooth edges of screen fonts. You can also enable the Web view in your folders, which will display a list of hyperlinked tasks and information on the left side of the folder window. Windows provides options for enabling all of the settings (for best appearance), or none of the settings (for best computer performance). You can also restore the original default settings.


Change the size of the virtual memory paging file

To change the size of the virtual memory paging file

XOX

  1. Open System in Control Panel.
  2. On the Advanced tab, under Performance, click Settings.
  3. On the Advanced tab, under Virtual memory, click Change.
  4. Under Drive [Volume Label], click the drive that contains the paging file you want to change.
  5. Under Paging file size for selected drive, click Custom size, and type a new paging file size in megabytes in the Initial size (MB) or Maximum size (MB) box, and then click Set.

    6. If you decrease the size of either the initial or maximum page file settings, you must restart your computer to see the effects of those changes. Increases typically do not require a restart.

Notes

  • XOX
  • To have Windows choose the best paging file size, click System managed size.
  • For best performance, do not set the initial size to less than the minimum recommended size under Total paging file size for all drives. The recommended size is equivalent to 1.5 times the amount of RAM on your system. Usually, you should leave the paging file at its recommended size, although you might increase its size if you routinely use programs that require a lot of memory.
  • To delete a paging file, set both initial size and maximum size to zero, or click No paging file. Microsoft strongly recommends that you do not disable or delete the paging file.


Change the performance of foreground and background programs

To change the performance of foreground and background programs

  1. Open System in Control Panel.
  2. On the Advanced tab, under Performance, click Settings.
  3. On the Advanced tab, under Processor scheduling, do one of the following:
    • Click Programs to assign more processor resources to the foreground program than the background program.
    • Click Background services to assign equal amounts of processor resources to all programs.

Notes

  • XOX
  • Choosing the Programs option will result in a smoother, faster response time for your foreground program. If you want a background task, such as a Backup utility, to run faster, choose the Background services option.
  • The Programs option allocates short, variable time slices, or quanta, to running programs, while the Background services option assigns long, fixed quanta.


Setting environment variables

Environment variables are strings that contain information such as drive, path, or file name. They control the behavior of various programs. For example, the TEMP environment variable specifies the location in which programs place temporary files.

Any user can add, modify, or remove a user environment variable. However, only an administrator can add, modify, or remove a system environment variable.

Using System in Control Panel, you can customize the following variables:

  • User environment variables for logged_on_user_name

    • The user environment variables are different for each user of a particular computer. The variables include any that are set by the user, as well as any variables defined by programs, such as the path to the location of the program files.

  • System environment variables

    • Administrators can change or add environment variables that apply to the system, and thus to all system users. During installation, Windows Setup configures the default system variables, such as the path to the Windows files.


Add or change the values of environment variables

To add or change the values of environment variables

  1. Open System in Control Panel.
  2. On the Advanced tab, click Environment Variables, then click the name of the user variable or system variable you want to change, as follows. Click:
    • New to add a new variable name and value.
    • Edit to change a current variable name and value.
    • Delete to remove a variable name and value.

Notes

  • If you are not logged on as administrator to the local computer, the only environment variables you can change are user variables.
  • XOX
  • Windows saves changes in the registry so they are available automatically the next time you start your computer.
  • You might have to close and reopen running programs for the new settings to take effect.


Choosing recovery actions if Windows stops unexpectedly

Using Startup and Recovery in System in Control Panel, you can configure Windows to do the following when a severe error (called a Stop error or Fatal system error) occurs:

  • Write an event to the system log.
  • Alert administrators.
  • Dump system memory to a file that advanced users can use for debugging.
  • Automatically restart the computer.

The dump of system memory to a log file can be valuable for debugging the cause of the Stop error. If you contact your technical support representatives about the error, they might ask for the log file. Note that Windows writes the log file to the same file name (Memory.dmp, by default) each time a Stop error occurs. To preserve log files, you should rename the log file with a unique name after the computer restarts. XOX


Specify what Windows does if the system stops unexpectedly

To specify what Windows does if the system stops unexpectedly

XOX

  1. Open System in Control Panel.
  2. On the Advanced tab, under Startup and Recovery, click Settings.
  3. Under System Failure, select the check boxes that correspond to the actions you want Windows to perform if a Stop error occurs:
    • Write an event to the system log specifies that event information will be recorded in the system log.
    • Send an administrative alert specifies that your system administrator will be notified.
    • Automatically reboot specifies that Windows will automatically restart your computer.
  4. Under Write Debugging Information, choose the type of information you want Windows to record when the system stops unexpectedly:
    • Small Memory Dump records the smallest amount of information that will help identify the problem. This option requires a paging file of at least 2 MB on the boot volume of your computer and specifies that Windows will create a new file each time the system stops unexpectedly. A history of these files is stored in the directory listed under Small Dump Directory.
    • Kernel Memory Dump records only kernel memory, which speeds up the process of recording information in a log when the system stops unexpectedly. Depending on the amount of RAM in your computer, you must have 50 MB to 800 MB available for the paging file on the boot volume. The file is stored in the directory listed under Dump File.
    • Complete Memory Dump records the entire contents of system memory when the system stops unexpectedly. If you choose this option you must have a paging file on the boot volume large enough to hold all of the physical RAM plus one megabyte (MB). The file is stored in the directory listed under Dump File.

Notes

  • xox
  • You must have at least a 2-MB paging file on the computer's boot volume if you select Write an event to the system log or Send an administrative alert.
  • If you choose either Kernel Memory Dump or Complete Memory Dump and select the Overwrite any existing file check box, Windows always writes to the same file name. To save individual dump files, clear the Overwrite any existing file check box and change the file name after each Stop error.
  • You can save some memory if you clear the Write an event to the system log and Send an administrative alert check boxes. The memory saved depends on the computer, but typically about 60 KB to 70 KB are required by these features.
  • If you contact Microsoft Product Support Services about a Stop error, they might ask for the system-memory dump file generated by the Write Debugging Information option.


Create a hardware profile

To create a hardware profile

XOX

  1. Open System in Control Panel.
  2. On the Hardware tab, click Hardware Profiles.
  3. Under Available hardware profiles, click Profile 1 (Current), and then click Copy.
  4. Type a name for the new hardware profile, and then click OK.
  5. You can customize your new profile by enabling or disabling devices for that profile in Device Manager. For more information about Device Manager, click Related Topics.

Notes

  • xox
  • The profile named Profile 1 (Current) provides a model for you to create new hardware profiles. It will not appear in the list of available hardware profiles shown during startup.


Copy, rename, or delete a hardware profile

To copy, rename, or delete a hardware profile

XOX

  1. Open System in Control Panel.
  2. On the Hardware tab, click Hardware Profiles.
  3. Under Available hardware profiles, click the existing hardware profile you want, and do one of the following. Click:
    • Copy to open the Copy Profile dialog box, and type a new name for the copy.
    • Rename to open the Rename Profile dialog box, and type a new name for the selected profile.
    • Delete to remove the selected profile.

Note

  • xox


Specify the default hardware profile for startup

To specify the default hardware profile for startup

XOX

  1. Open System in Control Panel.
  2. On the Hardware tab, click Hardware Profiles.
  3. Under Available hardware profiles, use the arrow buttons to move the hardware profile you want to use as the default into the top position in the list. During startup, Windows will load only the device drivers for hardware devices that are enabled in the profile you select.
  4. Under Hardware profiles selection, click one of the options that specifies how long Windows waits before automatically loading the default hardware profile.

Notes

  • XOX
  • If you want the default hardware profile to load automatically without showing you the list during startup, enter a 0 in seconds under Hardware profiles selection. If you decide later to select a different hardware profile, press the SPACEBAR during startup and choose a profile from the list.


User profiles overview

A user profile defines customized desktop environments, such as individual display, and network and printer connections settings. You or your system administrator can define your desktop environment.

Types of user profiles include:

  • A local user profile, which is created the first time you log on to a computer and is stored on the computer's local hard disk. Any changes made to your local user profile are specific to the computer on which the changes are made.
  • A roaming user profile, which is created by your system administrator and is stored on a server. This profile is available every time you log on to any computer on the network. Any changes made to your roaming user profile will be updated on the server.
  • A mandatory user profile, which is a roaming profile that can be used to specify particular settings for individuals or an entire group of users. Only system administrators can make changes to mandatory user profiles.


Copy a user profile

To copy a user profile

XOX

  1. Open System in Control Panel.
  2. On the Advanced tab, under User Profiles, click Settings.
  3. Under Profiles stored on this computer, click the user profile you want to copy, and then click Copy To.
  4. Type the location for the new profile, or click Browse to select the path.
  5. To choose a new user, in the Copy To dialog box, click Change.
  6. To start your search, in the Select User or Group dialog box, type the complete name of the user, group, or built-in security principle you are looking for, and then click OK.

Notes

  • XOX
  • To specify a built-in security principle, user, or group, in the Select User or Group dialog box, click Look For, and then click the object you want.
  • To specify a domain to search, in the Select User or Group dialog box, click Look In, and then select the domain.
  • To further narrow your search, in the Select User or Group dialog box, click Advanced.


Delete a user profile

To delete a user profile

XOX

  1. Open System in Control Panel.
  2. On the Advanced tab, under User Profiles, click Settings.
  3. Under Profiles stored on this computer, click the user profile you want to delete, and then click Delete.

Note

  • XOX


Switch between a roaming and local user profile

To switch between a roaming and local user profile

  1. Open System in Control Panel.
  2. On the Advanced tab, under User Profiles, click Settings.
  3. Under Profiles stored on this computer, click the user profile you want to change, and then click Change Type.
  4. Click Roaming profile or Local profile.

Notes

  • XOX
  • If Roaming profile is unavailable, the profile is a local user profile. See your Windows system administrator to create a roaming user profile.
  • If you use a roaming profile on more than one computer simultaneously, it will preserve the settings from the last computer that logs off.


Join a domain

To join a domain

XOX

  1. Open System in Control Panel.
  2. On the Computer Name tab, click Change.
  3. Under Member of, click Domain, type the name of the domain you want to join, and then click OK.

    You will be prompted to provide a user name and user password to join the computer to the domain.

  4. Click OK to close the System Properties dialog box.

    You will be prompted to restart your computer to apply your changes.

Notes

  • XOX
  • You can also use the Network Identification Wizard to join a domain. To use the wizard, perform Step 1 above. On the Computer Name tab, click Network ID, and follow the instructions on your screen.
  • It is recommended that you use computer names that are 15 characters or fewer. If your computer has TCP/IP networking protocol installed, the computer name can be up to 63 characters long but should only contain the numbers 0-9, the letters A-Z and a-z, and hyphens. You can use other characters, but doing so might prevent other users from finding your computer on the network. If your network is using the Microsoft DNS server, you can use any characters except periods. If other networking protocols are installed without TCP/IP, the name is limited to 15 characters.
  • If you specify a computer name longer than 15 characters and you want longer names to be recognized by the Active Directory domain, the domain administrator must enable registration of DNS names that are 16 bytes or more.
  • If you rename your computer or workgroup when it is disconnected from the network, duplicate computer names might result. Check with your network administrator before renaming your computer.


Join a workgroup

To join a workgroup

XOX

  1. Open System in Control Panel.
  2. On the Computer Name tab, click Change.
  3. Under Member of, click Workgroup, type the name of the workgroup that you want to join, and then click OK.

    If your computer was a member of a domain before you joined the workgroup, it will be disjoined from the domain and your computer account will be disabled.

Notes

  • XOX
  • A workgroup name must not be the same as the computer name. A workgroup name can have as many as 15 characters, but it cannot contain any of the following: ; : " < > * + = \ | ? ,
  • If your computer is a member of a workgroup, no networking is installed, or TCP/IP is not installed, then the computer name cannot be more than 15 characters, and the characters must all be uppercase.


Rename a computer

To rename a computer

XOX

  1. Open System in Control Panel.
  2. On the Computer Name tab, click Change.
  3. Under Computer name, type a new name for the computer, and then click OK.

    If the computer is a member of a domain, you will be prompted to provide a user name and user password to rename the computer in the domain.

Notes

  • XOX
  • A computer joining a Windows domain must use the name created for it by the network administrator, unless you have a user name and password with rights to create computer accounts.
  • If you supplied a valid user name and password for a secure Windows domain, the domain membership will be automatically updated with the new computer name.
  • If you specify a computer name longer than 15 characters and you want longer names to be recognized by the Active Directory domain, the domain administrator must enable registration of DNS names that are 16 bytes or more.
  • If you rename your computer or workgroup when it is disconnected from the network, duplicate computer names might result. Check with your network administrator before renaming your computer.


Change the DNS suffix of your computer

To change the Domain Name System (DNS) suffix of your computer

XOX

  1. Open System in Control Panel.
  2. On the Computer Name tab, click Change.
  3. Click More.
  4. Under Primary DNS suffix of this computer, type the DNS suffix you want to use.
  5. If you want your computer to automatically update the DNS suffix if you become a member of a different Windows domain, select the Change primary DNS suffix when domain membership changes check box.

Notes

  • XOX
  • The default setting for the local primary DNS suffix is the same as the Active Directory domain name. Changing the DNS suffix will not affect your domain membership, but it could prevent other users from finding your computer on the network. If you make the primary DNS suffix of the computer different from the Active Directory domain name, the domain administrator must enable registration of the new full computer name in the Active Directory domain.
  • A full computer name, which includes the computer name and the primary DNS suffix, can be as long as 255 bytes, including periods.
  • If you switch to a new Windows secure domain and select the Change primary DNS suffix when domain membership changes check box, the DNS suffix is updated to show a new DNS suffix that matches the new Windows secure domain you are joining. For example, if you create a DNS suffix called MyMachine for membership in your current domain and join a new Windows secure domain called example.microsoft.com, then the new DNS suffix, (example.microsoft.com), is displayed under Primary DNS suffix of this computer. This new DNS suffix replaces the previous name (MyMachine) you created for membership under your old domain.
  • If this computer belongs to a group with Group Policy enabled on Primary DNS suffix of this computer, the string specified in Group Policy is used as the primary DNS suffix and you might need to restart your computer to view the correct setting. The local setting is used only if Group Policy is disabled or unspecified. For more information about Group Policy, click Related Topics.
  • When the computer is joined to a domain, you must restart the computer twice for the policy setting to take effect. After the computer is restarted the first time, the policy settings are copied to the computer from the domain. When the computer is restarted the second time, the policy settings take effect.


System and program error reporting overview

When a system error occurs, the computer displays a blue screen containing error codes, and all computer operations stop. When an illegal operation or other error occurs in a program (such as Microsoft Word), that causes a program error, and the program stops working.

You can report system and program errors to Microsoft. This reporting system allows Microsoft to track and address operating system, Windows component, and program errors.

You can configure error reporting to send only specified information. For example, if you only want to report system errors, you can specify that reports be generated only for the operating system. The same is true for Windows components, such as Windows Explorer, Paint, or Internet Explorer; and for programs, such as Microsoft Word, installed on your computer.

When an error occurs, a dialog box will be displayed, prompting you to indicate whether or not you want to report the problem. When you choose to report the problem, technical information about the problem is collected and then sent to Microsoft over the Internet.

If a similar problem has been reported by other people, and more information is available, a link to that information will be provided.

Notes

  • The information Microsoft receives is used by programming groups at Microsoft. The data is used for quality control and will not be used for tracking individual users or installations for any marketing purpose.
  • If a system error occurs, displaying a blue screen, the error reporting dialog box will be displayed after you restart your computer.
  • You must have an Internet connection to report problems to Microsoft. XOX


Enable or disable error reporting

To enable or disable error reporting

  1. Open System in Control Panel.
  2. On the Advanced tab, click Error Reporting.
  3. Click Disable error reporting or Enable error reporting.

Notes

  • XOX
  • If you disable error reporting, you can still have Windows notify you when an error occurs. To do so, select the But notify me when critical errors occur check box.
  • To report operating system errors, select the Windows operating system check box.
  • To report program errors for programs, such as Microsoft Word, select the Programs check box.


Enable error reporting for your operating system

To enable error reporting for your operating system

  1. Open System in Control Panel.
  2. On the Advanced tab, click Error Reporting.
  3. Under Enable error reporting, select the Windows operating system check box.

Notes

  • XOX
  • When an operating system error occurs, the computer displays a blue screen containing error codes, and all computer operations stop. The error reporting dialog box will be displayed after you restart your computer.
  • You must have an Internet connection to report problems to Microsoft. XOX


Specify the programs for which error reports are generated

To specify the programs for which error reports are generated

  1. Open System in Control Panel.
  2. On the Advanced tab, click Error Reporting.
  3. Select Enable error reporting, and then click Choose Programs.
  4. To include all programs in error reporting, select All programs.
  5. To specify the programs for error reporting, select All programs in this list.
    • To report errors in Microsoft programs, select the Programs from Microsoft check box. If you do not want to report errors in Microsoft programs, clear this check box.
    • To report errors in Windows components, select the Windows components check box. If you do not want to report errors in Windows components, clear this check box.
    • To select individual programs for error reporting, click Add. Type the program's executable name, such as winword.exe for Microsoft Word. If you don't know the program's executable name, click Browse, locate the folder that contains the program, and then double-click the file that has the extension .exe, or lists the file type as application.

Note

  • XOX


Exclude programs from error reporting

To exclude programs from error reporting

  1. Open System in Control Panel.
  2. On the Advanced tab, click Error Reporting.
  3. Select Enable error reporting, and then click Choose Programs.
  4. Under Do not report errors for these programs, click Add.
  5. Type the program's executable name, such as winword.exe for Microsoft Word. If you don't know the program's executable name, click Browse, locate the folder that contains the program, and then double-click the file that has the extension .exe, or lists the file type as application.

Notes

  • XOX
  • To remove a program from the Do not report errors for these programs list, click the program you want to remove, and then click Remove.


Remove a program from the error reporting list

To remove a program from the error reporting list

  1. Open System in Control Panel.
  2. On the Advanced tab, click Error Reporting.
  3. Select Enable error reporting, and then click Choose Programs.
  4. Select All programs in this list, click the program you want to remove, and then click Remove.

Note

  • XOX


Send an error report to Microsoft

To send an error report to Microsoft

  1. In the Error Report dialog box, click Report this problem. This dialog box is only displayed when a system or program error has occurred.
  2. Review the information displayed and then click Report.

Notes

  • If a system error occurs, displaying a blue screen, the error reporting dialog box will be displayed after you restart your computer.
  • You must have an Internet connection to report problems to Microsoft. XOX


Driver Signing for Windows

Windows device drivers and operating system files have been digitally signed by Microsoft to ensure their quality. A Microsoft digital signature is your assurance that a particular file has met a certain level of testing, and that the file has not been altered or overwritten by another program's installation process.

Depending on how your administrator has configured your computer, Windows either ignores device drivers that are not digitally signed, displays a warning when it detects device drivers that are not digitally signed (the default behavior), or prevents you from installing device drivers without digital signatures.

Windows includes the following features to ensure that your device drivers and system files remain in their original, digitally-signed state:

  • Windows File Protection
  • System File Checker
  • File Signature Verification


Set file signature verification options

To set file signature verification options

  1. Open System in Control Panel.
  2. On the Hardware tab, click Driver Signing.
  3. Under File signature verification, click:
    • Ignore to allow all device drivers to be installed on this computer, regardless of whether they have a digital signature.
    • Warn to display a warning message whenever an installation program attempts to install a device driver without a digital signature. This is the default behavior for Windows.
    • Block to prevent an installation program from installing device drivers without a digital signature.

Notes

  • XOX
  • If you are a logged on as an administrator or as a member of the Administrators group, under Administrator option, click Apply setting as system default to apply the selected setting as the default for all users who log on to this computer.


Designed for Microsoft Windows XP Logo

Hardware and software products displaying the Designed for Microsoft Windows XP logo have been tested for compatibility with Microsoft Windows operating systems through use of Microsoft-provided testing procedures. For the best performance, Microsoft recommends using hardware products that display the Designed for Microsoft Windows XP logo on the external packaging and on the device itself.

Designed for Windows logo

Software for hardware products with the Designed for Microsoft Windows XP logo has a digital signature from Microsoft, indicating that the product was tested for compatibility with Windows and has not been altered since testing. XOX You may also want to contact the hardware vendor directly and ask for a device driver that has met the Designed for Microsoft Windows XP logo requirements. For more information, visit the Microsoft Windows Logo Program (go to http://www.microsoft.com/ and search for "Windows logo program") on the Microsoft Web site.

Warning

  • Microsoft strongly recommends you only use device drivers with the Designed for Microsoft Windows XP logo. Installing device drivers that have not been digitally-signed by Microsoft may disable the system, allow viruses onto your computer, or otherwise impair the correct operation of your computer either immediately or in the future.